com.pixelmed.dose

## Class CTDoseAcquisition

- java.lang.Object
- - com.pixelmed.dose.CTDoseAcquisition

    public class CTDoseAcquisition
    extends java.lang.Object

### Field Summary

Fields
`protected CTAcquisitionParameters` `acquisitionParameters`
`protected ContentItem` `contentItemFragment`
`protected java.lang.String` `CTDIvol`
`protected java.lang.String` `DLP`
`protected CTDoseCheckDetails` `doseCheckDetails`
`protected static CodedSequenceItem` `entireBodyDefaultAnatomy`
`protected CTPhantomType` `phantomType`
`protected ScanRange` `scanRange`
`protected CTScanType` `scanType`
`protected java.lang.String` `scopeUID`
`protected java.lang.String` `seriesOrAcquisitionNumber`
`protected boolean` `seriesOrAcquisitionNumberIsSeries`

### Constructor Summary

Constructors
Constructor and Description
`CTDoseAcquisition(java.lang.String scopeUID, boolean seriesOrAcquisitionNumberIsSeries, java.lang.String seriesOrAcquisitionNumber, CTScanType scanType, ScanRange scanRange, java.lang.String CTDIvol, java.lang.String DLP, CTPhantomType phantomType)`
`CTDoseAcquisition(java.lang.String scopeUID, ContentItem parent)`

### Method Summary

Methods
`static boolean` `checkUnitIs_mGy(CodedSequenceItem unit)`
`static boolean` `checkUnitIs_mGycm(CodedSequenceItem unit)`
`boolean` `equals(java.lang.Object o)`
`CTAcquisitionParameters` `getAcquisitionParameters()`
`java.lang.String` `getCTDIvol()`
`java.lang.String` `getDLP()`
`java.lang.String` `getDLPFromRangeAndCTDIvol()`
`CTDoseCheckDetails` `getDoseCheckDetails()`
`java.lang.String` `getHTMLTableHeaderRow()`
`java.lang.String` `getHTMLTableRow()`
`CTPhantomType` `getPhantomType()`
`java.lang.String` `getScanningLengthFromDLPAndCTDIVol()`
`ScanRange` `getScanRange()`
`CTScanType` `getScanType()`
`java.lang.String` `getScopeUID()`
`java.lang.String` `getSeriesOrAcquisitionNumber()`
`ContentItem` `getStructuredReportFragment(ContentItem root)`
`ContentItem` `getStructuredReportFragment(ContentItem root, CodedSequenceItem defaultAnatomy)`
`int` `hashCode()`
`boolean` `isSeriesNumberNotAcquisitionNumber()`
`boolean` `matchForMerge(CTDoseAcquisition oda)`
`void` `merge(CTDoseAcquisition acqMerge)`
`void` `setAcquisitionParameters(CTAcquisitionParameters acquisitionParameters)`
`void` `setDoseCheckDetails(CTDoseCheckDetails doseCheckDetails)`
`boolean` `specifiedDLPMatchesDLPFromRangeAndCTDIvol()`
`java.lang.String` `toString()`
`java.lang.String` `toString(boolean pretty)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### scopeUID

    protected java.lang.String scopeUID

#### seriesOrAcquisitionNumberIsSeries

    protected boolean seriesOrAcquisitionNumberIsSeries

#### seriesOrAcquisitionNumber

    protected java.lang.String seriesOrAcquisitionNumber

#### scanType

    protected CTScanType scanType

#### scanRange

    protected ScanRange scanRange

#### CTDIvol

    protected java.lang.String CTDIvol

#### DLP

    protected java.lang.String DLP

#### phantomType

    protected CTPhantomType phantomType

#### acquisitionParameters

    protected CTAcquisitionParameters acquisitionParameters

#### doseCheckDetails

    protected CTDoseCheckDetails doseCheckDetails

#### contentItemFragment

    protected ContentItem contentItemFragment

#### entireBodyDefaultAnatomy

    protected static CodedSequenceItem entireBodyDefaultAnatomy

### Constructor Detail

#### CTDoseAcquisition

    public CTDoseAcquisition(java.lang.String scopeUID,
                     boolean seriesOrAcquisitionNumberIsSeries,
                     java.lang.String seriesOrAcquisitionNumber,
                     CTScanType scanType,
                     ScanRange scanRange,
                     java.lang.String CTDIvol,
                     java.lang.String DLP,
                     CTPhantomType phantomType)

#### CTDoseAcquisition

    public CTDoseAcquisition(java.lang.String scopeUID,
                     ContentItem parent)

### Method Detail

#### checkUnitIs_mGy

    public static boolean checkUnitIs_mGy(CodedSequenceItem unit)

#### checkUnitIs_mGycm

    public static boolean checkUnitIs_mGycm(CodedSequenceItem unit)

#### getScopeUID

    public java.lang.String getScopeUID()

#### isSeriesNumberNotAcquisitionNumber

    public boolean isSeriesNumberNotAcquisitionNumber()

#### getSeriesOrAcquisitionNumber

    public java.lang.String getSeriesOrAcquisitionNumber()

#### getScanType

    public CTScanType getScanType()

#### getScanRange

    public ScanRange getScanRange()

#### getCTDIvol

    public java.lang.String getCTDIvol()

#### getDLP

    public java.lang.String getDLP()

#### getPhantomType

    public CTPhantomType getPhantomType()

#### setAcquisitionParameters

    public void setAcquisitionParameters(CTAcquisitionParameters acquisitionParameters)

#### getDoseCheckDetails

    public CTDoseCheckDetails getDoseCheckDetails()

#### setDoseCheckDetails

    public void setDoseCheckDetails(CTDoseCheckDetails doseCheckDetails)

#### getAcquisitionParameters

    public CTAcquisitionParameters getAcquisitionParameters()

#### merge

    public void merge(CTDoseAcquisition acqMerge)

#### matchForMerge

    public boolean matchForMerge(CTDoseAcquisition oda)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### getScanningLengthFromDLPAndCTDIVol

    public java.lang.String getScanningLengthFromDLPAndCTDIVol()

#### getDLPFromRangeAndCTDIvol

    public java.lang.String getDLPFromRangeAndCTDIvol()

#### specifiedDLPMatchesDLPFromRangeAndCTDIvol

    public boolean specifiedDLPMatchesDLPFromRangeAndCTDIvol()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toString

    public java.lang.String toString(boolean pretty)

#### getHTMLTableHeaderRow

    public java.lang.String getHTMLTableHeaderRow()

#### getHTMLTableRow

    public java.lang.String getHTMLTableRow()

#### getStructuredReportFragment

    public ContentItem getStructuredReportFragment(ContentItem root)
                                            throws DicomException

Throws:
  `DicomException`

#### getStructuredReportFragment

    public ContentItem getStructuredReportFragment(ContentItem root,
                                          CodedSequenceItem defaultAnatomy)
                                            throws DicomException

Throws:
  `DicomException`